View Issue Details

IDProjectCategoryView StatusLast Update
0006408Talerexchangepublic2021-09-02 18:23
ReporterFlorian Dold Assigned ToChristian Grothoff  
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006408: exchange wirewatch crashes when it gets a non-rounded timestamp
DescriptionWhen the Taler Wire Gateway API returns a non-rounded timestamp, wirewatch just crashes and burns:

eurint@gv:~$ taler-exchange-wirewatch -r
Jun 22 15:53:36-967726 taler-exchange-wirewatch-13646 ERROR Assertion failed at pq_query_helper.c:252. Aborting.
Aborted (core dumped)
TagsNo tags attached.

Activities

Christian Grothoff

2020-07-05 22:06

manager   ~0016386

6de49ea2..54e63f01 fixes in exchange.
f829235..d37e16a fixes in merchant.

The fixes replace the JSON parsing functions from GNUnet with Taler-specific variants that insist on the time being rounded.

Christian Grothoff

2021-09-02 18:14

manager   ~0018251

Fix committed to master branch.

Christian Grothoff

2021-09-02 18:23

manager   ~0018378

Fix committed to master branch.

Related Changesets

exchange: master 54e63f01

2020-07-05 21:54:11

Christian Grothoff

Details Diff
fix 0006408: make sure all timestamps are always rounded when they arrive over JSON, or 400 the requester; similarly don't tolerate anything else as client Affected Issues
0006408
mod - src/auditor/taler-auditor-httpd_deposit-confirmation.c Diff File
mod - src/bank-lib/Makefile.am Diff File
mod - src/bank-lib/bank_api_admin.c Diff File
mod - src/bank-lib/bank_api_credit.c Diff File
mod - src/bank-lib/bank_api_debit.c Diff File
mod - src/bank-lib/bank_api_transfer.c Diff File
mod - src/exchange-tools/Makefile.am Diff File
mod - src/exchange/taler-exchange-httpd_deposit.c Diff File
mod - src/include/taler_json_lib.h Diff File
mod - src/json/json_helper.c Diff File
mod - src/lib/exchange_api_common.c Diff File
mod - src/lib/exchange_api_deposit.c Diff File
mod - src/lib/exchange_api_deposits_get.c Diff File
mod - src/lib/exchange_api_handle.c Diff File
mod - src/lib/exchange_api_transfers_get.c Diff File
mod - src/lib/exchange_api_wire.c Diff File
mod - src/testing/testing_api_cmd_auditor_deposit_confirmation.c Diff File

merchant: master d37e16a7

2020-07-05 22:00:31

Christian Grothoff

Details Diff
fix 0006408 also in merchant: in principle only allow rounded times over JSON Affected Issues
0006408
mod - src/backend/taler-merchant-httpd_post-orders-ID-pay.c Diff File
mod - src/backend/taler-merchant-httpd_private-get-orders-ID.c Diff File
mod - src/backend/taler-merchant-httpd_private-patch-instances-ID.c Diff File
mod - src/backend/taler-merchant-httpd_private-patch-products-ID.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-instances.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-orders-ID-track-UNSPEC.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-orders.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-products-ID-lock.c Diff File
mod - src/backend/taler-merchant-httpd_private-post-products.c Diff File
mod - src/backenddb/plugin_merchantdb_postgres.c Diff File
mod - src/lib/merchant_api_get_instance.c Diff File
mod - src/lib/merchant_api_get_orders.c Diff File
mod - src/lib/merchant_api_get_product.c Diff File
mod - src/lib/merchant_api_get_reserve.c Diff File
mod - src/lib/merchant_api_get_reserves.c Diff File
mod - src/lib/merchant_api_get_transfers.c Diff File
mod - src/lib/merchant_api_merchant_get_order.c Diff File
mod - src/lib/merchant_api_merchant_get_tip.c Diff File
mod - src/lib/merchant_api_post_transfers.c Diff File
mod - src/lib/merchant_api_tip_authorize.c Diff File
mod - src/lib/merchant_api_wallet_get_tip.c Diff File
mod - src/testing/testing_api_cmd_pay_order.c Diff File

Issue History

Date Modified Username Field Change
2020-06-22 16:01 Florian Dold New Issue
2020-06-22 16:01 Florian Dold Status new => assigned
2020-06-22 16:01 Florian Dold Assigned To => Christian Grothoff
2020-07-05 22:06 Christian Grothoff Note Added: 0016386
2020-07-05 22:07 Christian Grothoff Status assigned => resolved
2020-07-05 22:07 Christian Grothoff Resolution open => fixed
2020-07-05 22:07 Christian Grothoff Fixed in Version => 0.8
2020-07-05 22:07 Christian Grothoff Product Version => git (master)
2020-07-05 22:07 Christian Grothoff Target Version => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 54e63f01
2021-09-02 18:14 Christian Grothoff Note Added: 0018251
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master d37e16a7
2021-09-02 18:23 Christian Grothoff Note Added: 0018378